# Uses of Class
org.apache.avro.idl.IdlParser.ResultTypeContext

## Uses of IdlParser.ResultTypeContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.ResultTypeContext
Modifier and Type
Field
Description
`IdlParser.ResultTypeContext`
IdlParser.MessageDeclarationContext.`returnType`
Methods in org.apache.avro.idl that return IdlParser.ResultTypeContext
Modifier and Type
Method
Description
`IdlParser.ResultTypeContext`
IdlParser.MessageDeclarationContext.`resultType()`
`final IdlParser.ResultTypeContext`
IdlParser.`resultType()`
Methods in org.apache.avro.idl with parameters of type IdlParser.ResultTypeContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterResultType(IdlParser.ResultTypeContext ctx)`
Enter a parse tree produced by `IdlParser.resultType()`.
`void`
IdlListener.`enterResultType(IdlParser.ResultTypeContext ctx)`
Enter a parse tree produced by `IdlParser.resultType()`.
`void`
IdlBaseListener.`exitResultType(IdlParser.ResultTypeContext ctx)`
Exit a parse tree produced by `IdlParser.resultType()`.
`void`
IdlListener.`exitResultType(IdlParser.ResultTypeContext ctx)`
Exit a parse tree produced by `IdlParser.resultType()`.